# credentialsInput

Input object for Credentials.

### Examples

```graphql
input CredentialsInput {
  name: String
  password: String
  token: String
  clientId: String
  secretKey: String
  awsRoleArn: String
  awsExternalId: String
  awsAccessKey: String
  awsAccessSecret: String
  tenant: String
  idpToken: IDPTokenInput
  projectId: String
  installationId: Int
  installationToken: GitHubAppInstallationTokenInput
  apiAccessKey: String
  apiSecretKey: String
  clientSecret: String
  subscriptionId: String
  tenantId: String
  organizationId: String
  apiKey: String
  optionalFields: OptionalFieldsInput
  extraOptionalCreds: ExtraOptionalCredsInput
  apiUrl: String
  deploymentName: String
  appId: String
  gitPassword: String
  gitUsername: String
  webhookUrl: String
  hostURL: String
  brokerUsername: String
  brokerPassword: String
  brokerSSHPublicKey: String
  brokerEnabled: Boolean
  isCertChecksDisabled: Boolean
}
```

### Fields

| Field                                                                                                                                                        | Description                                                                                   | Supported fields                                                                                                                                                                                               |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| name `String`                                                                                                                                                | User name in case of user name password credentials                                           |                                                                                                                                                                                                                |
| password `String`                                                                                                                                            | Password in case of user name password credentials                                            |                                                                                                                                                                                                                |
| token `String`                                                                                                                                               | Token in case of token credentials                                                            |                                                                                                                                                                                                                |
| clientId `String`                                                                                                                                            | Client id used for auth                                                                       |                                                                                                                                                                                                                |
| secretKey `String`                                                                                                                                           | Secret key used for auth                                                                      |                                                                                                                                                                                                                |
| awsRoleArn `String`                                                                                                                                          | The aws role arn that was created by the customer in his aws account for the integration      |                                                                                                                                                                                                                |
| awsExternalId `String`                                                                                                                                       | The aws external id that was set in the customers trust policy for the integration            |                                                                                                                                                                                                                |
| awsAccessKey `String`                                                                                                                                        | The aws access key that was created by the customer in his aws account for the integration    |                                                                                                                                                                                                                |
| awsAccessSecret `String`                                                                                                                                     | The aws access secret that was created by the customer in his aws account for the integration |                                                                                                                                                                                                                |
| tenant `String`                                                                                                                                              | Tenant in case of user password and tenant credentials                                        |                                                                                                                                                                                                                |
| idpToken [`IDPTokenInput`](/api-documentation/api-reference/api--connectors/types/inputs/idp-token-input.md)                                                 | Identity provider token input                                                                 | <p>access\_token <code>String</code><br>token\_type <code>String</code><br>expires\_in <code>Int</code><br>created\_at <code>Int</code><br>refresh\_token <code>String</code><br>scope <code>String</code></p> |
| projectId `String`                                                                                                                                           | Project id input                                                                              |                                                                                                                                                                                                                |
| installationId `Int`                                                                                                                                         | Installation id input                                                                         |                                                                                                                                                                                                                |
| installationToken [`GitHubAppInstallationTokenInput`](/api-documentation/api-reference/api--connectors/types/inputs/git-hub-app-installation-token-input.md) | GitHub App installation token input                                                           | <p>token <code>String!</code><br>createdAt <code>String</code><br>expiresAt <code>String</code></p>                                                                                                            |
| apiAccessKey `String`                                                                                                                                        | API secret key                                                                                |                                                                                                                                                                                                                |
| apiSecretKey `String`                                                                                                                                        | API access key                                                                                |                                                                                                                                                                                                                |
| clientSecret `String`                                                                                                                                        | clientSecret                                                                                  |                                                                                                                                                                                                                |
| subscriptionId `String`                                                                                                                                      | subscriptionId                                                                                |                                                                                                                                                                                                                |
| tenantId `String`                                                                                                                                            | tenantId                                                                                      |                                                                                                                                                                                                                |
| organizationId `String`                                                                                                                                      | organizationId                                                                                |                                                                                                                                                                                                                |
| apiKey `String`                                                                                                                                              | apiKey                                                                                        |                                                                                                                                                                                                                |
| optionalFields [`OptionalFieldsInput`](/api-documentation/api-reference/api--connectors/types/inputs/optional-fields-input.md)                               | optionalFields                                                                                | <p>SSHKey <code>String</code><br>RepoSearchQuery <code>String</code><br>Config <code>String</code><br>buildIssueToCloud <code>Boolean</code></p>                                                               |
| extraOptionalCreds [`ExtraOptionalCredsInput`](/api-documentation/api-reference/api--connectors/types/inputs/extra-optional-creds-input.md)                  | extraOptionalCreds                                                                            | atlassian [`AtlassianCreds`](/api-documentation/api-reference/api--connectors/types/inputs/atlassian-creds.md)                                                                                                 |
| apiUrl `String`                                                                                                                                              | API URL                                                                                       |                                                                                                                                                                                                                |
| deploymentName `String`                                                                                                                                      | Deployment name (e.g. Azure OpenAI deployment)                                                |                                                                                                                                                                                                                |
| appId `String`                                                                                                                                               | App Id                                                                                        |                                                                                                                                                                                                                |
| gitPassword `String`                                                                                                                                         |                                                                                               |                                                                                                                                                                                                                |
| gitUsername `String`                                                                                                                                         |                                                                                               |                                                                                                                                                                                                                |
| webhookUrl `String`                                                                                                                                          | webhook url                                                                                   |                                                                                                                                                                                                                |
| hostURL `String`                                                                                                                                             | Host url                                                                                      |                                                                                                                                                                                                                |
| brokerUsername `String`                                                                                                                                      |                                                                                               |                                                                                                                                                                                                                |
| brokerPassword `String`                                                                                                                                      |                                                                                               |                                                                                                                                                                                                                |
| brokerSSHPublicKey `String`                                                                                                                                  |                                                                                               |                                                                                                                                                                                                                |
| brokerEnabled `Boolean`                                                                                                                                      |                                                                                               |                                                                                                                                                                                                                |
| isCertChecksDisabled `Boolean`                                                                                                                               |                                                                                               |                                                                                                                                                                                                                |

### References

#### Fields with this object:

* [{} AddCredentialsInput.credentialsInput](/api-documentation/api-reference/api--connectors/types/inputs/add-credentials-input.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--connectors/types/inputs/credentials-input.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
